POST api/OrderPrice/PostUpdateStatus

Request Information

URI Parameters

None.

Body Parameters

Collection of UpdateBillingStatusDTO
NameDescriptionTypeAdditional information
ServiceId

integer

None.

RecordType

string

String length: inclusive between 0 and 8000

BillingStatus

integer

None.

isFileUpload

boolean

None.

ReportType

string

String length: inclusive between 0 and 8000

TotalAmount

decimal number

None.

UniqueId

string

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "ServiceId": 1,
    "RecordType": "sample string 2",
    "BillingStatus": 1,
    "isFileUpload": true,
    "ReportType": "sample string 4",
    "TotalAmount": 1.0,
    "UniqueId": "sample string 5"
  },
  {
    "ServiceId": 1,
    "RecordType": "sample string 2",
    "BillingStatus": 1,
    "isFileUpload": true,
    "ReportType": "sample string 4",
    "TotalAmount": 1.0,
    "UniqueId": "sample string 5"
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfUpdateBillingStatusDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of UpdateBillingStatusDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "ServiceId": 1,
      "RecordType": "sample string 2",
      "BillingStatus": 1,
      "isFileUpload": true,
      "ReportType": "sample string 4",
      "TotalAmount": 1.0,
      "UniqueId": "sample string 5"
    },
    {
      "ServiceId": 1,
      "RecordType": "sample string 2",
      "BillingStatus": 1,
      "isFileUpload": true,
      "ReportType": "sample string 4",
      "TotalAmount": 1.0,
      "UniqueId": "sample string 5"
    }
  ],
  "totalCount": 3
}